pkg-perl-tools (0.61) unstable; urgency=medium

  [ intrigeri ]
  * Quote literal '.' in regexps

  [ gregor herrmann ]
  * dpt-salsa: run configurerepo() at the end of fromattic().
    The default config might have changed after a package has been moved to
    the attic, so re-configure it when moving it back.
  * Update documentation about enabling the pkg-perl lintian profile.
    lintian has changed its profile handling in 2.79.0.
  * dpt-import-orig: rewrite changelog update after import.
    Use gbp-import-orig's --postimport feature, which knows about the new
    upstream version and Debian version, to call debchange instead of
    calculating the new Debian version ourselves, dealing with epochs and (not
    yet) with suffixes.
  * dpt-new-upstream: handle WAITS-FOR without a version.

  [ Felix Lechner ]
  * Remove Lintian check descriptions; they are obsolete.
    Lintian now looks at a check's entry points to derive that information.
  * Adapt Lintian checks to case-sensitive Deb822 parser.
    The deb822 format allows for flexible capitalization, but the parser was
    recently modified to capture the literal field names.

  [ gregor herrmann ]
  * Update examples/u (uploading helper): add distribution to commit
    message.
  * Bump debhelper-compat to 13.
  * Update lintian overrides (renamed tags, changed capitalization).

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jul 2020 00:28:45 +0200

pkg-perl-tools (0.60) unstable; urgency=medium

  * autopkgtests: use.t: check for $ENV{'AUTOPKGTEST_TMP'} only once.
    The duplication was introduced by replacing the old ADTTMP variable
    with AUTOPKGTEST_TMP.
  * dpt-new-upstream: improve WAITS-FOR handling.
    Check against madison if the waited-for package exists (at the
    required version).
  * dpt-salsa: change IRC channel for KGB notifications to
    #debian-perl-changes.
  * dpt-ci-failures: sort by package name.
  * Fix a typo in examples/pbuilder-hooks/E10cleanup.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 16:33:25 +0200

pkg-perl-tools (0.59) unstable; urgency=medium

  * Update the legacy-vendorarch-directory lintian check.
    This is a 'binary' check but the code was looking in the source package.
    Let's check for files instead.
    Thanks to Felix Lechner for pointing out the potential problem.
  * Update lintian tag description files to lintian 2.58.0.
    Remove Certainty field, and update Severity to the new values.
    (Closes: #954331)
  * Bump versioned (build) dependency on lintian.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.5.0.
  * Wrap long lines in changelog entry 0.25.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Mar 2020 15:20:01 +0100

pkg-perl-tools (0.58) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-new-upstream: change the handling of the 'problems' category.
    Only put a package into this category if the version in git is >= the new
    upstream version. Otherwise we might miss new upstream releases which fix
    what we have noted as a problem.
  * dpt-new-upstream: mangle upstream versions with '_'.
    Dpkg::Version's version_compare_relation chokes on invalid versions like
    1.22_90, so we change '_' to a '+' and back later.
  * dpt-debian-upstream: rewrite bitbucket.org URLs to HTTPS as well like
    we do for other services.
  * dpt-salsa: fix warning message when libparallel-forkmanager-perl is
    not installed. Thanks to CSILLAG Tamas for noticing.
  * dpt-salsa: warn about potentially misconfigured repositories.
    The configurerepo() sub sets a tag named 'dpt-salsa-configured', and the
    mrconfig() sub checks for existence of this tag, and outputs the list of
    repositories without it at the end.

  [ Felix Lechner ]
  * Use Lintian's new file index interface in Lintian checks.
    The file lookup functions were updated. The old interface is obsolete.
    Replaces $processable->index with $processable->patched->lookup in
    the checks that ship with this package.

  [ gregor herrmann ]
  * Bump versioned dependency on lintian after the changes in the included
    tests.
  * Add a lintian override for manpage-without-executable tags.
    We have dpt-foo(1) manpages for "dpt foo" subcommands.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2020 11:31:08 +0100

pkg-perl-tools (0.57) unstable; urgency=medium

  [ gregor herrmann ]
  * Revert "Update lintian override." in last upload.
    Lintian's change of override handling was a quickly fixed bug.
  * examples/mass-commit: add '-o ci.skip' to the recommended push
    command.

  [ Felix Lechner ]
  * Use new Lintian interface in checks.

  [ gregor herrmann ]
  * Change versioned dependency on lintian to 2.29.0 for the updated
    checks.
  * autopkgtest: make messages of smoke test more verbose.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Dec 2019 18:56:20 +0100

pkg-perl-tools (0.56) unstable; urgency=medium

  [ Xavier Guimard ]
  * autopkgtest: use.t: return 77 if no module found
  * autopkgtest: warn and exit if a smoke-files is missing

  [ intrigeri ]
  * dpt new-upstream:
    - make the contents of the ignore-version category more accurate.
      Don't classify a package in the "ignore-version" category if the
      ignored version is lower than the current upstream one.
    - optimize by short-circuiting earlier when there's no new upstream
      release.
      This avoids having to parse every line of the changelog entry when we
      already know we will ignore whatever such processing might yield.

  [ gregor herrmann ]
  * dpt-takeover: drop ancient git-import-dscs alternative.
  * examples/check-build:
    - autopkgtest: handle more return values and change warning messages
    - write newline between read() and commands
    - add more notifications
  * examples/buildpackage-pdebuild: add new options.
  * Add new example script `u' like "upload" (wrapper around dgit(1) and
    dpt-push (1)).
  * Update lintian override.
  * Declare compliance with Debian Policy 4.4.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Nov 2019 02:26:16 +0100

pkg-perl-tools (0.55) unstable; urgency=medium

  [ Xavier Guimard ]
  * Return a 77 code for skipped tests
  * Add tags "superficial" (except smoke) and "skippable" (all tests) in
    "Restrictions:" field (Closes: #922264)

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild:
    - unset exported variables to avoid leaking them into e.g. autopkgtest
      after the actual build
    - use pbuilders --binary-{arch,indep} for -b/-a options

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Sep 2019 17:44:35 +0200

pkg-perl-tools (0.54) unstable; urgency=medium

  [ Aniol Marti ]
  * dpt-forward: new feature: allow protocol selection using
    DPT_GITHUB_PROTOCOL

  [ Clément Hermann ]
  * dpt gen-itp: encode Maintainer name in From: properly

  [ gregor herrmann ]
  * dpt-debian-upstream: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.

  [ Alex Muntada ]
  * dpt-forward: add explanation about DPT_GITHUB_ORGNAME. (Closes: #933804)

  [ gregor herrmann ]
  * dpt-ci-failures: filter out failures with other triggers than the
    package or migrations.
  * dpt-debian-upstream: rewrite gitlab.com URLs to HTTPS as well like we
    do for GitHub.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Sep 2019 17:32:41 +0200

pkg-perl-tools (0.53) unstable; urgency=medium

  [ intrigeri ]
  * dpt new-upstream: add a --limit option.
  * ZSH completion: add support for dpt new-upstream's --limit option.
  * dpt new-upstream: don't output packages when the local released version in
    Git is greater or equal to the "new" upstream version UDD knows about.

  [ Clément Hermann ]
  * examples/check-build: if either duck or blhc isn't run because it's not
    installed, say so

  [ gregor herrmann ]
  * dpt-upstream-repo: add "|| true" to git fetch upstream-repo.
    Otherwise dpt-import-orig is broken when the configured repo goes away.

  [ intrigeri ]
  * Drop duplicate autopkgtest documentation.
    This was mostly a duplicate of the doc we have in autopkgtest.pod in
    salsa.debian.org:perl-team/perl-team.pages.debian.net.git
    a.k.a. https://perl-team.pages.debian.net/autopkgtest.html
  * Directly point to the canonical documentation for our autopkgtest
    setup.
  * dpt missing-upstream: migrate from Parse::DebianChangelog to
    Dpkg::Changelog::Debian (Closes: #933135).

  [ Felix Lechner ]
  * Add separate tag files for custom Lintian checks. (Closes: #934100)
    Lintian now stores tag definitions separately from checks. This commit
    does that for the custom Lintian profile used in pkg-perl-tools.
    Moves the tag definitions out of the checks into their own file
    hierarchy, which is sorted alphabetically. Also adds the check
    association to each tag definition.

  [ gregor herrmann ]
  * Update Makefile to install lintian tags.
  * Make (build) dependency on lintian versioned for the new separate
    tags/ directory.

  [ Xavier Guimard ]
  * Provide a configuration file for salsa(1)

  [ gregor herrmann ]
  * Update copyright information in various files and debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2019 03:24:33 +0200

pkg-perl-tools (0.52) unstable; urgency=medium

  * dpt zsh completion:
    - add files completion for dpt-forward
    - add packagename argument to dpt-takeover

  * dpt-new-upstream: drop unneeded newline when outputting headers in
    case of HTTP failure.
  * dpt-{checkout,upstream-repo}: add --prune when fetching upstream-repo
    remote.

  * examples/mass-commit: add --stats to suggested mr(1) call in order to
    get information about potential failures.
  * examples/buildpackage-pdebuild: -t now also sets
    DEB_BUILD_PROFILES=nocheck.

  * pkg-perl-autopkgtest: replace ADTTMP with AUTOPKGTEST_TMP in use.t and
    smoke.

  * pkg-perl lintian checks: module-build-tiny-needs-newer-debhelper:
    also allow debhelper-compat.

  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Drop (build) dependency on dpkg-dev as now even oldoldstable has a new
    enough version.
  * Bump debhelper-compat to 12.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jul 2019 12:20:22 -0300

pkg-perl-tools (0.51) unstable; urgency=medium

  * examples/check-build:
    + reprotest:
      - remove special casing for reprotest >= 0.7 and < 0.7.4
      - enable build_path variation
    + piuparts:
      - make output less verbose
      - add support for schroot
      - ignore dbgsym packages
  * dpt-ci-failures:
    - use HTTPS for two ci.debian.net/bugs.debian.org URLs
    - add -q to wget call.
  * dpt-salsa: disable "job events" notification for IRC.
    They are just too noisy as they report each build step.
  * dpt-forward: slightly update wording of messages.
  * Add dpt(1) zsh completion.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Mar 2019 23:26:21 +0100

pkg-perl-tools (0.50) unstable; urgency=medium

  [ Niko Tyni ]
  * dpt-ci-failures: add -I option showing the run id suitable for API calls

  [ gregor herrmann ]
  * dpt-import-orig: add more extensions to tarball removal after import.
  * Update copyright years.
  * dpt-salsa: implement toattic/fromattic sub-commands.
  * dpt-salsa: activate gitlab's 'no_access' access level.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Remove trailing whitespace from debian/*.
  * debian/rules: override dh_auto_install.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jan 2019 04:28:54 +0100

pkg-perl-tools (0.49) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: mrconfig(): replace 'githashes' with 'lastactivity'.
    Instead of gathering the hashes of all branches of each repo on salsa
    and storing them in a file below .git.hashes, which requires an API call
    for each package, save the last_activity_at timestamp of the repo in a
    file below .lastactivity. This should speed up dpt-salsa mrconfig by
    about a third.

  [ Niko Tyni ]
  * dpt-ci-failures: include src:perl autopkgtest regressions.

  [ intrigeri ]
  * examples/check-build:
    - treat skipped or superficial autopkgtest as success and display a clear
      warning
    - support running autopkgtest in QEMU but reprotest in schroot
    - include buildinfo in source-only and arch-all-only .changes files
      This needs changestool which is shipped in the reprepro package.
    - check-build: don't delete _source.changes if it already exists

  [ gregor herrmann ]
  * examples/check-build:
    - colorize output of messages
    - update copyright

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Nov 2018 00:47:04 +0100

pkg-perl-tools (0.48) unstable; urgency=medium

  * dpt-salsa: fix permission problem around project visibility.
    Changing the visibility of an existing repo needs owner permission.
    Set visibility already on creation, and make the visibility property
    conditional on the access level in configurerepo().
    Thanks to Xavier Guimard for the debugging work.
  * dpt-gc: use xargs' -P instead of parallel (from moreutils or parallel)
    and drop parallel from Suggests (moreutils is still used in other
    places).
    Thanks to Adam Borowski for the bug report. (Closes: #908844)
  * dpt-salsa: pass 'simple' also to group_projects API call in
    mrconfig().

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Sep 2018 17:11:53 +0200

pkg-perl-tools (0.47) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: pass 'simple' to API call for listrepos() if --all is
    given. In this case we care only about the ids of the repos, so the
    simpler result is more than enough.
  * New dpt subcommand: dpt-ci-failures.
    Script to query ci.debian.net for autopkgtest failures.
  * New dpt subcommand: dpt-new-upstream.
    Script to list packages with newer upstream version.
  * New dpt subcommand: dpt-clean-mr-repos.
    Script to remove local clones of packaging repositories which are gone
    from salsa.debian.org.
  * Add debian/tests/pkg-perl/syntax-skip to enable more of autopkgtest's
    syntax.t.

  [ Damyan Ivanov ]
  * dpt-forward: when creating pull requests, allow for other branches than
    'master' for example, https://github.com/PerlDancer/Dancer uses 'devel'
    for their main branch
  * update copyright years

  [ gregor herrmann ]
  * examples/{buildpackage-pdebuild,check-build}: change debsign handling.
    Don't --auto-debsign at build time, and only sign once at check time.
  * Update copyright notices and years in d/copyright and various scripts.
  * dpt-uscan: fix POD.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Aug 2018 23:18:25 +0200

pkg-perl-tools (0.46) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: move basic repo settings from createrepo() to
    configurerepo(). That way they are set both on creating a new project
    and on updating an existing one later.
  * dpt-salsa: update list of events for webhooks in configurerepo() and
    kgb() methods.
  * examples/mass-commit: add a continue when skipping cdbs packages.
    Otherwise we have to 'cd ..'.

  [ Damyan Ivanov ]
  * document configuration files location and handling (Closes: #900769)

  [ gregor herrmann ]
  * dpt-salsa: update documentation.
    Clarify pushrepo(), change order and improve some sections.
  * dpt-salsa: GitLab's 'master' was renamed to 'maintainer'.
    Follow this changed nomenclature.

  [ Florian Schlichting ]
  * Add autopkgtest-needs-use-name lintian check

  [ gregor herrmann ]
  * dpt-salsa: use Try::Tiny to handle transient failures of the
    Salsa API.
  * dpt-salsa: merge githashes() into mrconfig().
    Looping only once over all repos saves some time as the bottleneck is the
    Gitlab API at salsa.debian.org, and although only mrconfig() was run from
    our group's .mrconfig, de facto githashes() was required as well. Note
    that githashes() now just calls mrconfig(), and that manual calls to `dpt
    salsa githashes' should be removed from cronjobs or personal ~/.mrconfig
    files.
  * Declare compliance with Debian Policy 4.1.5.
  * Add sensible-utils to Recommends. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Jul 2018 10:11:21 +0200

pkg-perl-tools (0.45) unstable; urgency=medium

  [ gregor herrmann ]
  * Update some URLs to point to the new website after the move from
    Alioth to Salsa.
  * lintian check 'vcs-url-not-under-pkg-perl': update required URL.
  * dpt-push:
    - push all tags for "3.0 (native)" packages
    - update copyright notices
  * scripts/packagecheck, examples/repack.stub: anonscm -> salsa links.

  [ Niko Tyni ]
  * autopkgtest: support empty skip lists for syntax.t.
    Packages can now include an explicit empty skip list, which forces the
    test to run even in the presence of Suggestions.

  [ gregor herrmann ]
  * Update copyright years for autopkgtest/*.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 May 2018 15:17:20 +0200

pkg-perl-tools (0.44) unstable; urgency=medium

  [ gregor herrmann ]
  * Add a "TIPS & TRICKS" section to dpt-config(5).
  * dpt-import-orig: remove check for gbp vs. git-import-orig.
    gbp(1) is old enough.

  [ Niko Tyni ]
  * autopkgtest/smoke: support xvfb configuration in smoke-env.
    (Closes: #895190)

 -- Niko Tyni <ntyni@debian.org>  Sun, 08 Apr 2018 16:18:02 +0300

pkg-perl-tools (0.43) unstable; urgency=medium

  [ Damyan Ivanov ]
  * dpt-salsa: add `--parallel N` to `dpt salsa githashes`

  [ gregor herrmann ]
  * dpt-salsa: update configuration/environment variables for website.
    The website and the perl-team.pages.debian.net repositories have been
    merged.
  * Fix mistake in long description of pkg-perl-autopkgtest.
  * dpt-salsa: githashes(): try to create directory if it doesn't exist
    yet.
    Thanks to CSILLAG Tamas for the bug report on the mailing list.
  * Debian::PkgPerl::Message: add salsa for constructing the patch URL.
  * t/message.t:
    - don't rely on DPT_PACKAGES, find path to patch from test script
    - add tests to check the patch URL in the body
  * dpt-salsa: mrconfig(): really write to file, as promised.
  * t/patch.t: don't rely on DPT_PACKAGES, find path to patch from test
    script.

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Mar 2018 15:48:17 +0100

pkg-perl-tools (0.42) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: mrconfig(): also write to stdout for consumption by
    "include = " in .mrconfig.

  [ Niko Tyni ]
  * dpt-checkout: use salsa instead of alioth for new checkouts

  [ Damyan Ivanov ]
  * dpt-checkout: shorten a bit and "quote" clone URL
  * dpt-checkout: add `--pristine-tar` to `gbp pull` call
  * dpt-salsa: add kgb sub-command for controlling KGB webhooks
  * update mass-commit example to use `dpt salsa kgb` for managing IRC
    notifications

  [ Niko Tyni ]
  * Update scripts/rename-uploader to use `dpt salsa kgb` for managing
    notifications

  [ gregor herrmann ]
  * dpt-salsa: githashes():
    - wrap API calls in eval so we don't die in the loop if information about
      one package can't be retrieved for e.g. network issues
    - comment out retrieval of tags in order to cut number of API calls
      in half

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Feb 2018 19:32:52 +0100

pkg-perl-tools (0.41) unstable; urgency=medium

  * update the Vcs lintian check to look for
    https://salsa.debian.org/perl-team/modules/
  * control: point Vcs-* URLs to salsa.debian.org

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Feb 2018 08:18:56 +0000

pkg-perl-tools (0.40) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/check-build: update autopkgtest section.
    Drop adt-run variant, as stable has autopkgtest, and add --shell-fail
    option.
  * examples/check-build: add option to run reprotest.

  [ Dominic Hargreaves ]
  * Add missing dependency on curl

  [ gregor herrmann ]
  * examples/pbuilder-hooks/E10cleanup:
    + use `apt-get indextargets' and `/usr/lib/apt/apt-helper cat-file'
      instead of grepping the Packages files directly. Guarded by a check
      for apt 1.1, so the old code is still there but only used in
      oldstable.
      Thanks to Julian Andres Klode for the bug report. (Closes: #874778)
    + use dpkg-vendor to check for Ubuntu instead of grepping
      /etc/lsb-release.

  [ intrigeri ]
  * examples/check-build: update autopkgtest section to support current
    sid with libvirt/QEMU … while keeping compatibility with Stretch, and
    dropping another Jessie-area path.

  [ gregor herrmann ]
  * autopkgtest: smoke: move prove's --verbose to PKG_PERL_PROVE_ARGS to
    make it overridable via smoke-env as well.
  * examples/check-build: also offer to run autopkgtest when
    debian/tests/control is around.
  * examples/pbuilder-hooks/*00iptables: use 127.0.0.0/8 instead of
    127.0.0.1.
    Thanks to Tincho for the bug report.

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority from extra to optional.

  [ Alex Muntada ]
  * Debian::PkgPerl::GitHub:
    + Add missing ticket param for method new
    + Increase verbosity when patching fails
    + Add test for a failing patch
    + Capture and show error if pull-request fails

  [ Damyan Ivanov ]
  * dpt-uscan: new wrapper around uscan and gbp import-orig
  * pristine-orig: honour USCAN_DESTDIR from devscripts' configuration
  * gc: add -p option, running 'git gc' via 'parallel', utilising all
    available CPUs.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)

  [ gregor herrmann ]
  * Remove Makefile.PL hack, as we have an explicit "Testsuite:
    autopkgtest-pkg-perl".
  * Consolidate and extend debian/copyright.
  * Bump debhelper compatibility level to 10.
  * Remove another common unneded test file in autopkgtest's smoke test.
  * examples/check-build: update lintian invocation.
    tag-display-limit=0 can be set in the config since 2.5.63.
  * Slightly improve documentation about DPT_* variables, dpt-config, and
    dpt.conf in various scripts.
  * Extend long description of pkg-perl-autopkgtest.
    Mention Testsuite header and README.
  * Add dpt-alsa: manage team repos and members on salsa.debian.org.
  * Test::Spelling: fix some mistakes, add some stopwords.
  * Add lintian overrides for binary-package-depends-on-toolchain-package
    (debhelper/cdbs).
  * dpt-get-ubuntu-packages: use udd-mirror.debian.net instead of ssh'ing
    into Alioth and using udd itself.
    Additionally remove trailing whitespace.
  * dpt-lp-mass-subscribe: port to python3.
  * Remove dpt-alioth-author.
    Was supposed to run on Alioth which is about to go away.
  * Remove dpt-alioth-repo and point to its successor `dpt salsa
    pushrepo'.
  * dpt-takeover: use `dpt salsa pushrepo' instead of the removed
    dpt-alioth-repo.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Feb 2018 17:26:54 +0100

pkg-perl-tools (0.39) unstable; urgency=medium

  * autopkgtest/smoke: fix skipping perlcritic tests

 -- Niko Tyni <ntyni@debian.org>  Mon, 07 Aug 2017 15:08:48 +0300

pkg-perl-tools (0.38) unstable; urgency=medium

  * Move most of build dependencies to Build-Depends-Indep
  * autopkgtest/smoke: expand the skip list to compile, author and pod tests
    (Closes: #870252)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Aug 2017 22:28:23 +0300

pkg-perl-tools (0.37) unstable; urgency=medium

  [ Christopher Hoskin ]
  * Fix "Broken link for repack.sh in examples/repack.stub" Changed broken link
    to working link (Closes: #853045)

  [ gregor herrmann ]
  * dpt-gen-itp: handle encoding of From and Owner.
  * dpt-gen-itp: mention dpt-gen-itp(1) in the footer of its output.
    Thanks to Balint Reczey for the proposal and the patch.
    (Closes: #855135)

  [ Niko Tyni ]
  * autopkgtest/smoke: run prove with --recurse.
    This takes away most needs for the smoke-tests configuration file, and
    seems to work for at least libimager-perl and libdancer2-perl.
    Thanks to Alex Muntada for the idea.

  [ gregor herrmann ]
  * debian/control: Add more test dependencies.
    Needed for t/patchedit/01_patchedit.t which now is run in autopkgtest due
    to the change in autopkgtest/scripts/build-deps.d/smoke.
  * Makefile: run prove recursively during build as well.
  * Revert "remove patchedit" (e2fcacaeff23ce3b22cef5855ffb8bab6442ae2f).
    The .orig files are still needed for t/patchedit/01_patchedit.t which
    wasn't run since 2013, apparently.
  * debian/rules: add override_dh_clean to avoid removal of the
    t/patchedit/*.orig files.
  * t/patchedit/01_patchedit.t: fix path and add some error handling.
  * Skip t/patchedit/01_patchedit.t for now.
    The real output has diverged too much from the expected one.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jun 2017 20:12:54 +0200

pkg-perl-tools (0.36) unstable; urgency=medium

  [ gregor herrmann ]
  * examples: update pbuilder-hooks/E10cleanup.
  * examples/mass-commit: `continue' in a function fails with newer bash.

  [ Florian Schlichting ]
  * dpt-forward: improve mail usage: fail early when --use-mail not given and
    no pause credentials are available, allow forwarding a bug without patch

  [ Alex Muntada ]
  * t/github.t: Test GitHub pull request workflow
  * lib/Debian/PkgPerl/GitHub.pm: add module
  * scripts/forward: create pull requests for patches in GitHub
  * Makefile:
    - add -Ilib to perl tests in Makefile
    - install Perl modules from lib/Debian/PkgPerl
  * t/spelling.st: check files in lib/Debian/PkgPerl directory

  [ gregor herrmann ]
  * Add (build) dependency on libgit-repository-perl.
    Needed for the new GitHub PR feature.
  * Add a note to the pbuilder firewall example hook.
  * dpt-github-oauth: don't display password if Term::ReadLine::Gnu
    is used.

  [ gregor herrmann ]
  * dpt-alioth-repo: document the possibility to pass the distribution
    name as a parameter.

  [ tony mancill ]
  * Fix typo in bts-retitle POD. (Closes: #848517)

  [ gregor herrmann ]
  * posix-lib.sh: run the pipe/tee magic only for subcommands where it's
    actually used later on.

  [ Florian Schlichting ]
  * dpt-forward: fall back to sending email when pause credentials cannot be
    read
  * dpt-forward: add POD on email fallback and relevant config
  * Add missing dependencies for github.t

  [ gregor herrmann ]
  * Add debian/tests/pkg-perl/use-name to run autopkgtest's use.t test.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Jan 2017 20:19:54 +0100

pkg-perl-tools (0.35) unstable; urgency=medium

  * use.t: run the test with $AUTOPKGTEST_TMP as cwd. (Closes: #847284)

 -- Niko Tyni <ntyni@debian.org>  Wed, 07 Dec 2016 21:05:38 +0200

pkg-perl-tools (0.34) unstable; urgency=medium

  * autopkgtest improvements:
    + use.t:
      * support a whitelist regexp in d/t/p/use-whitelist.
        (Closes: #845771)
      * don't run the command in the package source directory.
        (Closes: #837137)
      * also run the tests with PERL_DL_NONLAZY=1.
        (Closes: #830849)
    + syntax.t:
      * skip non-files in dpkg-query --listfiles output.
      * allow listing more files to check in d/t/p/syntax-extra.
        (Closes: #796040)

 -- Niko Tyni <ntyni@debian.org>  Sat, 03 Dec 2016 23:09:20 +0200

pkg-perl-tools (0.33) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: don't explicitly run `git fetch upstream-repo'.
    This is already handled by dpt-upstream-repo. Additionally call
    dpt-upstream-repo with '-u' to update the URL of the remote.
  * examples/buildpackage-pdebuild: add '-a' switch for setting
    dpkg-buildpackage's -A option.
  * examples/pbuilder-hooks/*iptables: add logging and dmesg output.
    This helps to detect attempts to connect to the internet during build.

  [ Niko Tyni ]
  * autopkgtest/smoke: add the test directory to @INC due to perl changes.
    See https://lists.debian.org/debian-devel-announce/2016/08/msg00013.html

 -- Niko Tyni <ntyni@debian.org>  Fri, 02 Sep 2016 12:01:29 +0300

pkg-perl-tools (0.32) unstable; urgency=medium

  [ intrigeri ]
  * check-build: adjust to new location of the QEMU autopkgtest
    virtualization helper. This is needed with autopkgtest 4.0+.

  [ gregor herrmann ]
  * examples/check-build: update to work with adt-run and autopkgtest.
  * scripts/upstream-repo: add -u (update) option to change the URL of the
    Git remote 'upstream-repo' in the local clone.
  * patchedit: don't claim that ./debian/patches can be left out when it
    can't.
  * patchedit: always set Last-Update to the mtime of the patch file when
    in fix mode.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Jul 2016 15:05:22 +0200

pkg-perl-tools (0.31) unstable; urgency=medium

  [ gregor herrmann ]
  * scripts/forward: change YAML::XS loading/usage

  [ Axel Beckert ]
  * Treat a "dpt import-orig" parameter as orig tar ball and pass it
    instead of "--uscan" to "gbp import-orig". Needed if a newer upstream
    release has a (from dpkg's point of view) lower version number.

  [ gregor herrmann ]
  * scripts/debian-upstream:
    - only replace URLs for existing keys. Avoids a warning about
      uninitialized values. Closes: #826226
    - add another URL replacement (http://github.com/)

  [ Alex Muntada ]
  * scripts/github-oauth:
    - build default note-text as documented
    - add note regarding 2FA
    - remove AUTHORS section
  * Add alexm copyright for scripts/github-oauth

  [ gregor herrmann ]
  * scripts/forward: return result from detect_tracker_url() sub.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jun 2016 16:07:13 +0200

pkg-perl-tools (0.30) unstable; urgency=medium

  * Upload from the Debian Perl Team Sprint in Zürich

  [ gregor herrmann ]
  * examples/check-build:
    - add --no-tag-display-limit to lintian call
    - add --warn-on-debsums-errors to piuparts call
    - show adt-run result with /usr/bin/notify-send
  * script/forward: remove AUTHORS section.
    Duplication of the LICENSE/COPYRIGHT section.
  * Add alexm to debian/copyright for scripts/forward.
  * Switch some more URLs in debian/* to HTTPS.

  [ Alex Muntada ]
  * Remove scripts/forward-{bug,patch}
  * scripts/forward:
    - Warn about default address only when using mail
    - Search for distribution name in debian/upstream/metadata
  * scripts/debian-upstream:
    - Search for Bug-Database in debian/upstream/metadata
    - Switch links to https

  [ Niko Tyni ]
  * Remove outdated arch-any-package-needs-newer-debhelper lintian warning

  [ Axel Beckert ]
  * Option -g now even no more creates debian/upstream/metadata.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 20:43:40 +0200

pkg-perl-tools (0.29) unstable; urgency=medium

  * pkg-perl-autopkgtest/build-deps.d/smoke now also supports
    debian/tests/pkg-perl/smoke-tests to list which tests should be run by
    prove instead of the default "t/*.t".

 -- Axel Beckert <abe@debian.org>  Fri, 22 Apr 2016 00:14:47 +0200

pkg-perl-tools (0.28) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * packagecheck: Use https transport protocol in Vcs-Git URI.
    If a missing Vcs-Git field is found, then add the URI using the https
    transport protocol instead of git.

  [ Christopher Hoskin ]
  * Add support for smoke-cleanup script. Closes: #813307
  * Remove redundant second PDIR=`pwd` from smoke
  * Document new smoke-cleanup feature in autopkgtest/README.autopkgtest

  [ gregor herrmann ]
  * Add new copyright holder for autopkgtest/.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * debian/control: use HTTPS for Vcs-Git URL.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Feb 2016 15:45:49 +0100

pkg-perl-tools (0.27) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: drop '-d' from DEBBUILDOPTS.
    The parameter is added by pdebuild itself now.
  * examples/check-build: new option to strip all binary packages from the
    .changes file, with fallback option to only strip arch:any ones.
    Thanks to Salvatore Bonaccorso for coming up with this elegant patch.

  [ Niko Tyni ]
  * autopkgtest/smoke:
    + export TDIR for the smoke-setup script as documented
    + ignore stderr from test.pl

 -- Niko Tyni <ntyni@debian.org>  Mon, 12 Oct 2015 13:58:51 +0300

pkg-perl-tools (0.26) unstable; urgency=medium

  * Rename autopkgtest configuration files, with a fallback to the old names.
    (Closes: #799487)
  * Make it possible to override the prove --merge option by unsetting
    PKG_PERL_PROVE_ARGS in smoke-env. (Closes: #799444)
  * Support executing debian/tests/pkg-perl/smoke-setup as a last resort.
    (Closes: #799486)

 -- Niko Tyni <ntyni@debian.org>  Sat, 26 Sep 2015 22:20:51 +0300

pkg-perl-tools (0.25) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * check-build: Check as well for udebs when striping arch:any debs

  [ Florian Schlichting ]
  * checkout: fetch debcherry notes if there are any, until fixed gbp is
    available

  [ Damyan Ivanov ]
  * Add more things to do to the TODO list

  [ Niko Tyni ]
  * Add support for debian/tests/pkg-perl/env-smoke (Closes: #763541)

 -- Niko Tyni <ntyni@debian.org>  Sun, 06 Sep 2015 15:38:04 +0300

pkg-perl-tools (0.24) unstable; urgency=medium

  * Remove checks which moved to lintian from pkg-perl profile.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Aug 2015 16:38:23 +0200

pkg-perl-tools (0.23) unstable; urgency=medium

  [ Axel Beckert ]
  * Fix patchedit to not expect a file in $PATH as $EDITOR but to support
    $EDITOR to contain commandline options.
  * Move application-not-library, modulebuild, no-perl-modules, and
    usr-lib-perl5 lintian checks to lintian proper.
  * Rewrite module-name check (tag no-module-name-in-description) as
    binary check and integrate it into lintian's description check as tag
    perl-module-name-not-mentioned-in-description.
  * Recommend lintian >= 2.5.36 for the checks which used to be in the
    pkg-perl-tools package.

  [ gregor herrmann ]
  * examples/check-build: use mergechanges for sourceless uploads instead
    of manually messing with the .changes file.
  * examples/check-build: add stanza for running adt-run (with schroot and
    a chroot named/aliased to "default").

 -- Axel Beckert <abe@debian.org>  Fri, 14 Aug 2015 22:39:18 +0200

pkg-perl-tools (0.22) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-takeover: update documentation to use of gbp-import-dscs.

  [ Salvatore Bonaccorso ]
  * Document dpt-forward in dpt commands listing

  [ Axel Beckert ]
  * gen-itp:
    + Use Perl 5.10 feature "say" instead of the local sub "p" which does
      the same.
    + Nicer output formatting.
    + Whitespace cleanup.
    + Output the sentence "The package will be maintained under the
      umbrella of the Debian Perl Group." behind the package description
      if the maintainer is set to the Debian Perl Group.
  * Try to fool autodep8 into thinking it's a EU::MM based test suite.
    + Add no-op Makefile.PL. debhelper doesn't seem to be fooled by that,
      probably because a Makefile already exists.
    + Hardcode build system in debian/rules as "Makefile" anyway to be
      safe against future debhelper changes.

 -- Axel Beckert <abe@debian.org>  Sat, 08 Aug 2015 16:31:40 +0200

pkg-perl-tools (0.21) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * examples/b: Use buildpackage subcomand for gbp in case git directory
    is present

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild: initialize DEBBUILDOPTS with -d.
    This passes -d ("Do not check build dependencies and conflicts.") to
    dpkg-buildpackage.

  [ Axel Beckert ]
  * dpt-push: Also push git notes for use with Niko Tyni's git-debcherry
    variant (see #784159)
  * dpt-alioth-repo:
    + Check if a remote named "origin" already exists and if it's already
      the expected remote repository before creating a remote repository
      named "origin".
    + Proper error message if distribution name couldn't be determined.
      Read a distribution name as first parameter in that case.
  * dpt-takeover:
    + Change to use "gbp-import-dscs --debsnap" instead of "apt-get
      source" and "gbp-import-dsc".
    + set -u only after environment variable checking.
  * dpt-upstream-repo+examples/mass-commit: Use Gbp-Dch instead of Git-Dch
  * debian/copyright: Remove .mailmap stanza. It's only needed in the git
    repository and not included in the generated source package.  Silences
    lintian wrt. unused-file-paragraph-in-dep5-copyright, etc.  Lacks
    creativity anyways to validate a copyright and license.
  * lintian-checks: Also output the testsuite header's value if the tag
    nonteam-testsuite-header is emitted.

  [ gregor herrmann ]
  * dpt-import-orig: use Gbp-Dch for changelog commit message.

 -- Axel Beckert <abe@debian.org>  Wed, 22 Jul 2015 00:22:00 +0200

pkg-perl-tools (0.20) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-import-orig: use present tense for changelog message.
  * pkg-perl-tools: add autopkgtest and autodep8 to Recommends.
  * dpt-import-orig: also (optionally) remove tarballs named *.tgz.
  * examples/buildpackage-pdebuild:
    + add -p option which sets DEB_BUILD_OPTIONS='nostrip'
    + demote qemubuilder codepath to a commented out example
  * examples/check-build:
    + rename piuparts log file
    + update stripping of binary packages.
      Besides removing .deb lines from the .changes file, also change the
      Architecture: field.
  * Update copyright years in example scripts and debian/copyright.

  [ Salvatore Bonaccorso ]
  * Remove trailing comma in Build-Depends list
  * Don't rely on dash expanding escape sequences by default.
    Instead of using echo "\t..." use a printf call to not rely on /bin/sh
    being dash and expanding escape sequences. (Closes: #772293)
  * forward-patch: Correct typo in error message (debain -> debian)
    Thanks to Raphael Geissert <geissert@debian.org> (Closes: #772497)
  * check-build: Strip as well udebs when choosing to strip
    arch:any .debs

  [ Damyan Ivanov ]
  * dpt-push: exit with the status of the actual 'git push' command
    (Closes: #764825)
  * dpt-forward: add --force option, allowing forwarding an already
    forwarded bug/patch

  [ Ansgar Burchardt ]
  * Do not pass --force-yes to apt-get. apt's --force-yes option disables
    signature checks and therefore is a bad option to use.

  [ Axel Beckert ]
  * Replace all command calls to "gbp-something" with "gbp something" to
    support git-buildpackage ≥ 0.6.24. (Closes: #783521)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Apr 2015 20:39:50 +0200

pkg-perl-tools (0.19) unstable; urgency=medium

  * Fix traversing the wrong directory in lintian/checks/…/module-name.pm
    (Closes: #763891) Thanks Niels Thykier!

 -- Axel Beckert <abe@debian.org>  Fri, 03 Oct 2014 20:15:02 +0200

pkg-perl-tools (0.18) unstable; urgency=medium

  [ Niko Tyni ]
  * Add basic lintian checks for Testsuite: autopkgtest-pkg-perl

  [ Axel Beckert ]
  * Update our lintian checks for lintian 2.5.28's API (Closes: #763204)
    + (Build-)Depends on lintian >= 2.5.28~
  * Fix lintian warning missing-testsuite-header (see above ;-)

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Oct 2014 00:36:49 +0200

pkg-perl-tools (0.17) unstable; urgency=medium

  * autopkgtest/smoke:
    + survive empty t/ directories
    + don't run test.pl with prove
    + skip t/04critic.t and t/97meta.t by default
  * autopkgtest/syntax: process packages with Suggestions if there's a skip list
  * autopkgtest: update README to reflect current practice

 -- Niko Tyni <ntyni@debian.org>  Sun, 21 Sep 2014 21:30:40 +0300

pkg-perl-tools (0.16) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: support comments and empty lines in test-files
  * autopkgtest/smoke: skip tests listed in debian/tests/pkg-perl/skip-smoke
  * autopkgtest/smoke: skip t/boilerplate.t, t/pod.t, and t/pod-coverage.t
    by default

  [ Axel Beckert ]
  * Add an "Enhances: lintian" header to since it contains lintian checks.
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Niko Tyni <ntyni@debian.org>  Thu, 18 Sep 2014 23:11:29 +0300

pkg-perl-tools (0.15) unstable; urgency=medium

  [ gregor herrmann ]
  * examples/mass-commit:
    - add -s to proposed mr push
    - update copyright notice

  [ Niko Tyni ]
  * autopkgtest/smoke: set AUTOMATED_TESTING and NONINTERACTIVE_TESTING
  * autopkgtest/smoke: also use test.pl if present
  * autopkgtest/smoke: don't recurse into subdirectories of t/
  * autopkgtest/smoke: don't overwrite MANIFEST* if they exist

  [ Axel Beckert ]
  * Avoid symlink attacks lintian/checks/…/{usr-lib-perl5,xs-abi}.pm. Also
    fixes Perl warnings in lintian/checks/pkg-perl/usr-lib-perl5.pm if
    debian/$file is a symlink pointing outside the debian directory.
  * Add lintian check for wrong section and package name when packaging
    applications.
  * Mention in package description that the contained lintian checks need
    to be enabled explicitly.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Sep 2014 19:51:33 +0200

pkg-perl-tools (0.14) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest:
    - move debian/tests/test-files under debian/tests/pkg-perl/
    - move debian/tests/module-name under debian/tests/pkg-perl/
    This is to unify the pkg-perl test configuration. We fall back to the
    old locations for now.
  * autopkgtest: make syntax.t skip files listed in d/t/pkg-perl/skip-
    syntax.
  * autopkgtest: add a new example file "default-tests-control".
    This can be copied over to the package source tree and edited when
    necessary.
  * autopkgtest: install a more complete dummy module for POD checkers.
  * autopkgtest/smoke: remove the temporary directory after tests.
  * autopkgtest/smoke: create dummy MANIFEST and MANIFEST.SKIP files.
    This placates some test suites that insist on author tests.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Sep 2014 20:56:34 +0200

pkg-perl-tools (0.13) unstable; urgency=medium

  [ Niko Tyni ]
  * autopkgtest/smoke: use xvfb-run if available.
    If debian/rules uses xvfb-run for the test suite, it will be in the build
    dependencies and therefore present in the test chroot.
  * autopkgtest/smoke: copy the full directory structure of test-files.
    If the listed files are in a subdirectory, we want the subdirectory to be
    copied too rather than having the files end up in the main target
    directory.
  * autopkgtest/smoke: create a full dummy blib directory structure.
    This makes 'use blib' work rather than throw an error.
  * autopkgtest/smoke: Create a dummy file under blib/lib/ to appease some
    test suites.
    This placates tests that try to assemble a list of files to test in the
    source tree and croak if they can't find any.
  * autopkgtest/syntax: Skip the test for packages with soft dependencies.
    The package might have modules that need Suggested packages.
    We don't want to keep track of those manually, so skip the test altogether
    for such packages.
  * autopkgtest/runner: ignore .proverc files in tested packages.
  * autopkgtest/runner: save the exit code from failed tests
  * autopkgtest: new test type runtime-deps-and-recommends, needed by
    syntax.t.
    This is for tests that need to be run with Recommendations installed.
    Currently the only such test is syntax.t, moved over from the runtime-deps
    side.

  [ gregor herrmann ]
  * Update Makefile for the new autopkgtest test set.
    Install the new runtime-deps-and-recommends.d/ directory and its contents.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Sep 2014 23:39:54 +0200

pkg-perl-tools (0.12) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Use dpkg-parsechangelog --show-field calls
  * Add (Build-)Depends on dpkg-dev (>= 1.17.0)
    dpkg 1.17.0 introduced the --show-version flag for dpkg-parsechangelog.

  [ Niko Tyni ]
  * autopkgtest runner: Support disabling standard tests per package.
    Don't run tests that have corresponding files under debian/tests/pkg-
    perl/SKIP in the package.

  [ gregor herrmann ]
  * dpt-debian-upstream: don't add Homepage to debian/upstream/metadata.
    The field was demoted to "not recommended" in the UMEGAYA
    specification, since it duplicates the Homepage field in
    debian/control.

  [ Axel Beckert ]
  * Don't emit no-module-name-in-description if no Perl module named like
    the package is found. Reduces false positives for oddly named module
    distributions.
  * "make test" now also checks syntax of .pm files (i.e. lintian checks)

  [ gregor herrmann ]
  * autopkg-test: smoke test: create empty $TDIR/blib directory.
    Otherwise Test::Pod's all_pod_files{,_ok} tests fail if the find neither a
    blib/ nor a lib/ directory. With the empty blib/, the tests are
    effectively skipped which is better than failing them.
  * Add build dependency on lintian, required by new tests.
  * Update debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 23:20:21 +0200

pkg-perl-tools (0.11) unstable; urgency=medium

  [ Axel Beckert ]
  * Add an adequate based autopkgtest test script to pkg-perl-autopkgtest.
  * Fix typos in previous changelog entry
  * Extend long description of pkg-perl-autopkgtest. Fixes lintian warning
    extended-description-is-probably-too-short.

  [ Niko Tyni ]
  * Add a missing dependency on "perl" to the pkg-perl-autopkgtest package.
    perl is needed for at least prove and Test::More.
  * Add a test runner that checks the syntax of all the perl modules on @INC.
  * Make the autopkgtest runner invoke prove -v on *.t files
  * Add a test runner that tries to 'use' the main module in the package.

  [ gregor herrmann ]
  * autopkgtest: implement a generic test runner framework that runs test
    scripts in *.d subdirectories. (See README.autopkgtest)
  * autopkgtest: pkg-perl-autopkgtest now Provides: pkg-perl-autopkgtest-heavy.
  * autopkgtest: move adequate test to examples.
  * dpt-import-orig: handle versions with epoch when calling dch.

  [ Salvatore Bonaccorso ]
  * import-orig: Create changelog entry after importing new upstream version
  * upstream-repo: Create changelog entry after adding debian/upstream/metadata

  [ Dominic Hargreaves ]
  * Team upload

 -- Dominic Hargreaves <dom@earth.li>  Sun, 31 Aug 2014 19:37:28 -0700

pkg-perl-tools (0.10) unstable; urgency=medium

  [ gregor herrmann ]
  * Lintian checks: escape < and > in usr-lib-perl5-mentioned description.

  [ Salvatore Bonaccorso ]
  * mass-commit: Use git checkout instead of git co
  * Update Vcs-Browser URL to cgit web frontend

  [ David Bremner ]
  * scripts:/upstream-repo:
    - tighten regexp for grabbing URL from debian/upstream/metadata
    - use "git ls-remote" to probe URLs
  * scripts/import-orig:
    - add default value for DPT_RM_TARGZ
    - collapse two cases of tag guessing
    - improve handling of missing tags under "set -e"
    - tidy handling of different import scripts

  [ gregor herrmann ]
  * scripts/upstream-repo:
    - add -g option.
      Don't git add/commit debian/upstream/metadata.
    - update copyright notice

  [ Damyan Ivanov ]
  * add a lintian check that the main module name is present in the long
    description
  * dpt checkout: hook 'dpt upstream-repo' if debian/upstream/metadata
    contains repository information

  [ Damyan Ivanov ]
  * dpt checkout: fetch upstream remote if already present
  * dpt upstream-repo: fetch upstream remote

  [ pkg-perl@DebConf Outdoor Hacklab Group ]
  * Add new binary package pkg-perl-autopkgtest
    to collect autopkgtest scripts.
  * Add first autopkgtest test script which uses prove.
  * Add copyright/license information for new autopkgtest/* files.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 Aug 2014 21:17:49 -0700

pkg-perl-tools (0.9) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-forward: don't include "Forwarded: " line in patch forwarding
    (same as dpt-forward-patch).

  [ Damyan Ivanov ]
  * forward/submit_cpan_rt: another attempt to set the requestor at submission
    time

  [ gregor herrmann ]
  * scripts/forward: move requestor to new ticket, add add_cc to updates.
  * scripts/forward: in prepare_body(), don't wrap bug info or patch headers.

  [ Salvatore Bonaccorso ]
  * scripts/forward-patch: Use cgit based URLs when referencing patches
  * script/forward: Add support for cgit based Vcs-Browser URLs
  * When converting Vcs-Browser field from svn to git use cgit based URL
  * When adding a missing Vcs-Browser field use the cgit based URL

  [ gregor herrmann ]
  * examples/check-build: add possibility to strip arch:any debs from
    .changes.

  [ Damyan Ivanov ]
  * add lintian check about perl-modules presense in dependencies
  * add a lintian check about using usr/lib/perl in debian/*

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Aug 2014 07:56:24 +0000

pkg-perl-tools (0.8) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * scripts/forward: Fix typo in --tracker pod section

  [ Damyan Ivanov ]
  * github support:
    + wrap bug content between ```
    + prepend four spaces before the patch description
    + add --ticket support

  [ gregor herrmann ]
  * dpt-foward: POD: the tracker is called 'cpan', not 'rt'.

  [ Salvatore Bonaccorso ]
  * dpt-foward: POD: the tracker is called 'cpan', not 'rt'.

  [ Damyan Ivanov ]
  * submit_cpan_rt: add requestor in ticket creation
  * when adding Forwarded: patch header also add Bug: header
  * make --offline-test effective for github tracker too

 -- Damyan Ivanov <dmn@debian.org>  Thu, 26 Jun 2014 23:22:26 +0300

pkg-perl-tools (0.7) unstable; urgency=medium

  [ Damyan Ivanov ]
  * scripts/forward:
    + drop --dry-run (does nothing)
    + update and write documentation

  [ Salvatore Bonaccorso ]
  * scripts/forward: correct constructed ticket URL

 -- Damyan Ivanov <dmn@debian.org>  Mon, 09 Jun 2014 08:28:23 +0300

pkg-perl-tools (0.6) unstable; urgency=medium

  [ gregor herrmann ]
  * Mention dpt-gc in dpt(1).
  * mass-commit example script: some git fine tuning.
    Check that .git exists, switch to master branch, and propose to
    push master in the end.

  [ Damyan Ivanov ]
  * add GitHub support to dpt-foward-patch(1).

  [ gregor herrmann ]
  * Add libnet-github-perl to Build-Depends and Recommends. Needed for the
    github support in dpt-forward-patch.
  * Switch from debian/upstream to debian/upstream/metadata in several
    places.

  [ Salvatore Bonaccorso ]
  * Remove trailing slash from metacpan.org URL when fetching module's site
  * Allow metacpan URLs without trailing slash

  [ gregor herrmann ]
  * Bump required debhelper version for Module::Build::Tiny in
    Lintian::pkg_perl::debhelper to 9.20140227.
    (First version using realclean instead of distclean.)
  * Fix a typo in examples/mass-commit output.

  [ Axel Beckert ]
  * Suggests duck.

  [ gregor herrmann ]
  * examples/check-build: run duck as well.

  [ Salvatore Bonaccorso ]
  * check-build: Check if lintian exists and executable

  [ Damyan Ivanov ]
  * new single shot forwarding tool, dpt-forward. can forward bugs and
    patches, even at the same, to the REST interface of rt.cpan.org or the API
    of GitHub.

  [ Florian Schlichting ]
  * fix gen-itp synopsis

  [ Damyan Ivanov ]
  * typo in pkg-perl/modulebuild description
  * new lintian check about files in usr/lib/perl5 with multiarch-enabled perl
  * add libfile-slurp-perl to b-d-i and Recommends

 -- Damyan Ivanov <dmn@debian.org>  Sat, 07 Jun 2014 12:22:04 +0300

pkg-perl-tools (0.5) unstable; urgency=low

  [ gregor herrmann ]
  * dpt-takeover: call `dpt alioth-repo' instead of the removed alioth-
    git-repo script in the repo.
  * dpt-dch-note: POD fix. Add newlines to avoid wrapping of the items.

  [ Damyan Ivanov ]
  * small indentation fix in POD

  [ gregor herrmann ]
  * Add libconfig-model-dpkg-perl to Recommends.
    Needed by at least dpt-gen-itp, and only suggested by
    libconfig-model-perl.

  [ Axel Beckert ]
  * Allow multiple packages as parameter to "dpt checkout".
  * Update POD of "dpt checkout" to mention "dpt co" and the directory
    changing feature.
  * Add (open)ssh-client to Depends.
    Needed by all commands which create or modify git repositories on Alioth.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Fix typo in POD of scripts/push.
  * dpt checkout: Only change directory if only one package has been
    checked out
  * Make "dpt push" honor debian-tag, debian-branch, upstream-tag, and
    upstream-branch settings from .gbp.conf, debian/gbp.conf, and
    .git/gbp.conf.
  * Add debian/gbp.conf to document non-gbp-standard tag syntax.

  [ gregor herrmann ]
  * Add new dpt-debian-upstream script:
    convert META.{json,yml} to debian/upstream.
  * Add libyaml-libyaml-perl to Build-Depends and Recommends.
    Needed by dpt-debian-upstream.
  * Add new upstream-repo script:
    add upstream Git repository as git remote.
  * Add libdebian-copyright-perl to Recommends. Used by dpt-upstream-repo.
  * Add new dpt-import-orig script:
    git-import-orig wrapper with upstream tracking support.
  * Add information about new scripts to debian/copyright.
  * Mention new scripts in dpt(1).

  * Update URL of repack.sh in examples/repack.stub.
  * Add build dependency on spell checkers. Needed by t/spelling.st.
  * Add more stopwords to t/spelling.st.

  [ Axel Beckert ]
  * Backwards-compatible transition from git-import-* to gbp-import-*

  [ Salvatore Bonaccorso ]
  * mass-commit: Replace use of vasks.debian.org with git.debian.org
  * rename-uploader: Replace use of vasks.debian.org with git.debian.org

  [ gregor herrmann ]
  * dpt-takeover: use dpt-push after running dpt-packagecheck.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 00:12:06 +0200

pkg-perl-tools (0.4) unstable; urgency=low

  [ Damyan Ivanov ]
  * document dpt-config
  * fix section on dpt-config references
  * install man5/
  * fix dpt-config.pod name

  [ Salvatore Bonaccorso ]
  * Add reference for dpt-alioth-repo to dpt POD

  [ Damyan Ivanov ]
  * recommend libmodule-inspector-perl
  * add a 'push' subcommand

 -- Damyan Ivanov <dmn@debian.org>  Sun, 20 Oct 2013 19:36:22 +0300

pkg-perl-tools (0.3) unstable; urgency=low

  [ gregor herrmann ]
  * Add new lintian checks: libmodule-build-(tiny-)perl need to be in
    Build-Depends, not in Build-Depends-Indep, since they are used in the
    clean target.

  [ Damyan Ivanov ]
  * add "dpt cd" sub-command
  * provide 'dpt co' as a shortcut for 'dpt checkout'
  * provide bash-specific cleanup in dpt()
  * implement 'dpt gc' -- 'git gc' over all packages

 -- Damyan Ivanov <dmn@debian.org>  Sun, 22 Sep 2013 20:47:08 +0300

pkg-perl-tools (0.2) unstable; urgency=low

  [ gregor herrmann ]
  * Install examples into binary package.
  * Install README about lintian profile.

  [ Axel Beckert ]
  * Run, but ignore spelling tests. Move libtest-spelling-perl from
    Build-Conflicts to Build-Depends. Rename spelling.t to spelling.st and
    ignore the result of all .st tests.
  * Mention lintian checks copyright in debian/copyright
  * Mention gregoa in debian/copyright for debian/*, too
  * Add .mailmap to properly attribute commits made under different
    committer names
  * t/spelling.st: Add some more stop-words and "M-x sort-lines" them

  [ Damyan Ivanov ]
  * add 'dpt checkout' script
  * dpt: read configuration
  * propagate DPT_* settings to child processes
  * report the location of the checkout
  * sort sub-commands alphabetically in dpt(1)

  [ Salvatore Bonaccorso ]
  * patchedit: Avoid given/when construct.
  * Formatting cleanup for patchedit script
  * patchedit: Avoid smartmatching operator ~~
  * Add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Fri, 06 Sep 2013 22:00:09 +0300

pkg-perl-tools (0.1) unstable; urgency=low

  * Initial release (Closes: #719291)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 26 Aug 2013 22:55:31 +0300
